      ICOUNT = 0
   5  READ (5,222, END = 72, ERR = 23) X,Y,Z
      WRITE (6,365) X ,Y,Z
      ICOUNT = ICOUNT + 3
C  222 FORMAT(I5,I3,I2,I7, I15)
  222 FORMAT (10(I5))
      GOTO 5
  72  WRITE (6, 91) ICOUNT
  91  FORMAT (1X, ' The number of values read is ', I10)
 365  FORMAT (1X,  ' X = ', I15, ' Y = ', I5,  ' Z = ' , I5)
C       WRITE (6, 13)
C  13    FORMAT (1X, ' ENCOUNTERED A NON-INTEGER  - PROGRAM ENDS')
  23  STOP
      END
